Bug 468055 - broken dependency on F-9
broken dependency on F-9
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gtk-sharp2 (Show other bugs)
9
All Linux
urgent Severity high
: ---
: ---
Assigned To: Xavier Lamien
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: tasque 471312 471836
  Show dependency treegraph
 
Reported: 2008-10-22 11:39 EDT by Mamoru TASAKA
Modified: 2009-02-26 04:50 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-25 11:59:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2008-10-22 11:39:22 EDT
Description of problem:
Currently dependency of gnome-sharp on F-9 is broken.

Version-Release number of selected component (if applicable):
gnome-sharp-0:2.16.1-1.fc9

How reproducible:
100%

Steps to Reproduce:
1. Try to rebuild packages which has "BR: gnome-sharp" as the result
  
Actual results:
See:
http://koji.fedoraproject.org/koji/taskinfo?taskID=895755
Mock exits with status 30, which means the dependency cannot be
resolved.

DEBUG util.py:250:  Error: Missing Dependency: mono(gdk-sharp) = 2.10.0.0 is needed by package gnome-sharp
DEBUG util.py:250:  Error: Missing Dependency: mono(pango-sharp) = 2.10.0.0 is needed by package gnome-sharp
DEBUG util.py:250:  Error: Missing Dependency: mono(glib-sharp) = 2.10.0.0 is needed by package gnome-sharp
DEBUG util.py:250:  Error: Missing Dependency: mono(gtk-sharp) = 2.10.0.0 is needed by package gnome-sharp
DEBUG util.py:250:  Error: Missing Dependency: mono(atk-sharp) = 2.10.0.0 is needed by package gnome-sharp
DEBUG util.py:250:  Error: Missing Dependency: mono(glade-sharp) = 2.10.0.0 is needed by package gnome-sharp

Expected results:
No dependency brokenness on released F-9 branch
Comment 1 Xavier Lamien 2008-10-22 12:18:11 EDT
hm...
gnome-sharp seems to need a rebuild.
checking.
Comment 2 Xavier Lamien 2008-10-22 12:48:15 EDT
rebuilding all mono packages against new gtk-sharp2.
if you need released gnome-sharp before its availability ask to tag it for buildroot
Comment 3 Mamoru TASAKA 2008-10-22 13:49:28 EDT
(In reply to comment #2)
> rebuilding all mono packages against new gtk-sharp2.

Does this mean that you are now trying to rebuild all mono packages
on your local machine now?

> if you need released gnome-sharp before its availability ask to tag it for
> buildroot
Does this mean you want me to ask rel-eng team?
Comment 4 Xavier Lamien 2008-10-22 15:04:51 EDT
yeah. I was waitting that gtk-sharp2-2.12.1 be tagged in buildroot to rebuild mono packages before push it. This has been done.  


> Does this mean you want me to ask rel-eng team?

yes. once rebuild done.
Comment 5 Xavier Lamien 2008-10-22 16:30:37 EDT
rebuilt.
i'll ask rel-eng as i also need it to rebuild some packages
Comment 6 Mamoru TASAKA 2008-10-22 23:22:52 EDT
It may be that you already know this, however just a note:

Currently mailing to rel-eng_at_fedoraproject.org does not work.
Please create a task on https://fedorahosted.org/rel-eng/
for making rebuilt packages tagged (I don't know what packages need tagging)
Comment 7 Xavier Lamien 2008-10-23 12:00:15 EDT
> Currently mailing to rel-eng_at_fedoraproject.org does not work.

Only mail _Alias_ doesn't anymore.
but non need to open ticket.

gnome-sharp is now available in buildroot.
feel free to test your rebuild and check that all dependencies are fine.
Comment 8 Mamoru TASAKA 2008-10-23 12:28:24 EDT
Seems good for buildroot, thanks. This is needed for
tasque review request, which I am reviewing (bug 449869).
Comment 9 Mamoru TASAKA 2008-10-29 03:49:07 EDT
Please submit the request on bodhi for F-9
https://admin.fedoraproject.org/updates/
to all dependent packages packages to stable repository.

Otherwise on F-9 all new packages rebuilt for new gnome-sharp (or so)
by other package maintainers will have broken dependency
on F-9.
Comment 10 Xavier Lamien 2008-10-29 04:44:12 EDT
currently some packages still need to be rebuild against gtk-sharp2 (gecko-sharp2) in order to rebuild other one which depends on it.
I'll mail the list about that asap.
Comment 11 Mamoru TASAKA 2008-11-12 22:49:16 EST
Xavier, would you update the status of this bug?

Actually some packages which was rebuilt against newer gtk-sharp2
are already pushed into F-8/9 repositories, which are causing 
broken dependencies (bug 471312)
Comment 12 Mamoru TASAKA 2008-11-17 08:36:45 EST
# repoquery --repoid=F9-source --repoid=F9-updates-source --repoid=F9-updates-newkey-source --repoid=F9-updates-testing-source --repoid=F9-updates-testing-newkey-source  repoquery --archlist=src --whatrequires gtk-sharp2-devel --qf '%{NAME}' | sort | uniq
avahi
banshee
beagle
blam
bless
cdcollect
cowbell
evolution-sharp
f-spot
gbrainy
gecko-sharp2
gmime
gnome-do
gnome-sharp
gnome-subtitles
gsf-sharp
gtksourceview-sharp
incollector
ipod-sharp
lat
mono-addins
mono-tools
monodevelop
monodoc
monosim
monotorrent
muine
muine-scrobbler
tasque
themonospot
tomboy
Comment 13 Xavier Lamien 2008-11-17 09:03:21 EST
huh ? i didn't push anything yet to bodhi.

btw, i did not get any reply from the gecko-sharp2 owner to finalize the rebuild process (and still waiting commit access) and push all packages together to repo.

here is the rebuild list :
-----------------------------------

beagle 				: REBUILT
mono-addins 			: REBUILT
gnome-subtitles 		: REBUILT
gnome-sharp 			: REBUILT
banshee 			: NEED a rebuild of gecko-sharp2, gtksourceview-sharp
evolution-sharp 		: REBUILT
beagle-evolution 		: REBUILT
avahi-ui-sharp 			: REBUILT
ipod-sharp 			: REBUILT
gtksourceview-sharp		: NEED a rebuild of gecko-sharp2 first (need to be tagged for buildroot, i'll take care of)
beagle-thunderbird		: REBUILT
gnome-do			: REBUILT
muine			 	: REBUILT
gecko-sharp2		 	: No Commit Access
beagle-gnome			: REBUILT
f-spot			 	: REBUILT
tomboy				: REBUILT
gsf-sharp			: REBUILT
gtk-sharp			: REBUILT 
gmime-sharp			: Rebuilt 
mono-tools			: Need a rebuild of gecko-sharp2 first
Comment 14 Mamoru TASAKA 2008-11-17 10:35:06 EST
Please wait one hour or so... I will update the current status.
Comment 15 Xavier Lamien 2008-11-17 10:58:56 EST
k, thanks for taking care of gecko-sharp2
Comment 16 Mamoru TASAKA 2008-11-17 11:50:49 EST
Okay, the newest status:

30 - dependency not resolved
10 - dependency not found
1  - rebuild failed

avahi   DONE   laxathom
banshee   FAILED  30  Needs gtksourceview-sharp
beagle   DONE  drago01
blam   DONE  mtasaka
bless   DONE  mtasaka
cdcollect  DONE  mtasaka
cowbell   DONE  mtasaka
evolution-sharp  DONE  laxathom
f-spot   DONE  laxathom
gbrainy   DONE  mtasaka
gecko-sharp2  DONE  mtasaka
gmime   DONE  laxathom
gnome-do  DONE  laxathom
gnome-sharp  DONE  laxathom
gnome-subtitles  DONE  laxathom
gsf-sharp  DONE  laxathom
gtksourceview-sharp FAILED  1
incollector  DONE  mtasaka
ipod-sharp  DONE  laxathom
lat   DONE  mtasaka
mono-addins  DONE  laxathom
mono-tools  FAILED  30  File conflict
monodevelop  FAILED  10  mono-basic-devel
monodoc   FAILED  10  mono-devel >= 2.0
monosim   rebuilding
monotorrent  DONE  mtasaka
muine   DONE  laxathom
muine-scrobbler  FAILED  1
tasque   already pushed
themonospot  DONE  mtasaka
tomboy   FAILED  1

gtksourceview-sharp:
http://koji.fedoraproject.org/koji/buildinfo?buildID=70019

mono-tools:
http://koji.fedoraproject.org/koji/buildinfo?buildID=69987

monodevelop:
http://koji.fedoraproject.org/koji/buildinfo?buildID=69988

muine-scrobbler:
http://koji.fedoraproject.org/koji/buildinfo?buildID=70015

tomboy:
http://koji.fedoraproject.org/koji/buildinfo?buildID=70020

monodoc:
http://koji.fedoraproject.org/koji/buildinfo?buildID=69989
Comment 17 Mamoru TASAKA 2008-11-17 11:52:08 EST
monosim: done

Unfortunately, I am not familiar with C sharp....
Comment 18 Xavier Lamien 2008-11-17 12:24:56 EST
k, let me have a look on the others.
Comment 19 Mamoru TASAKA 2008-11-17 12:30:37 EST
(In reply to comment #18)
> k, let me have a look on the others.

Thanks!
By the way, about gecko-sharp2, I see that gecko-sharp2 is now open to
provenpackager so I could rebuild this by myself.
As you are also a sponsor, I guess you can also modify gecko-sharp2.
Comment 20 Xavier Lamien 2008-11-17 15:42:06 EST
Excellent !
I'll take care of if you don't go ahead yet.
Comment 21 Alex Lancaster 2008-11-18 19:32:06 EST
Who is preparing the update in bodhi?  This issue also affects blam (bug #471836), as mentioned in comment #12, so it should be added to the list of bugs fixed by the update.
Comment 22 Alex Lancaster 2008-11-18 19:35:53 EST
Don't see any pending updates for gtk-sharp2:

https://admin.fedoraproject.org/updates/search/gtk-sharp2

or for blam:

https://admin.fedoraproject.org/updates/search/blam

as yet.
Comment 23 Xavier Lamien 2008-11-19 19:30:27 EST
(In reply to comment #16)
> Okay, the newest status:
> 
> 30 - dependency not resolved
> 10 - dependency not found
> 1  - rebuild failed
> 
> gtksourceview-sharp:

Done
> 

> mono-tools:

Need an update of gnome-sharp to 2.20.0 at least to fix conflict issue

>
> monodevelop:

Seems require a rebuild

>  
> tomboy:

Needs a fix on its mono libdir path
> 
> monodoc:

dependecy issue. will be fix asap


(In reply to comment #21)
That should be me. took in account

(In reply to comment #22)
Same. comment #13
Comment 24 Mamoru TASAKA 2008-11-20 03:24:43 EST
muine-scrobbler: DONE by applying patch from spot

mono-tools: DONE by killing BR: gnome-desktop-sharp for now
Comment 25 Mamoru TASAKA 2008-11-20 03:31:12 EST
(In reply to comment #23)
> > monodoc:
> dependecy issue. will be fix asap


I guess that monodoc should be downgraded to 1.9.
Note that from koji report monodoc 2.0 on F-9 have never succeeded
to build, so on F-9 downgrading monodoc to 1.9 is safe now.
Comment 26 Mamoru TASAKA 2008-11-20 04:24:37 EST
(In reply to comment #23)
> > tomboy: 
> Needs a fix on its mono libdir path

libdir issue error seems on gnome-sharp gconf-sharp-peditors-2.0.pc.
I rebuilt gnome-sharp-2.16.1-3.fc9 and requested dist-f9-override
(along with gtksourceview-sharp-2.0.12-1.fc9 mono-tools-1.9-5.fc9)
Comment 27 Alex Lancaster 2008-11-22 19:21:12 EST
Ping?  Any movement on puhsing out these updates?  Without the new gtk-sharp2, blam is currently still uninstallable on F-9 (and causing broken deps if it is already installed) because it needs to be rebuilt against the new gecko/gtk-sharp2 combination.
Comment 28 Mamoru TASAKA 2008-11-22 19:53:06 EST
waiting for the reply from rel-eng team for 3 days.
Comment 29 Mamoru TASAKA 2008-11-23 04:56:22 EST
30 - dependency not resolved
10 - dependency not found
1  - rebuild failed

avahi			DONE	 	laxathom
banshee			DONE		mtasaka
beagle			DONE		drago01
blam			DONE		mtasaka
bless			DONE		mtasaka
cdcollect		DONE		mtasaka
cowbell			DONE		mtasaka
evolution-sharp		DONE		laxathom
f-spot			DONE		laxathom
gbrainy			DONE		mtasaka
gecko-sharp2		DONE		mtasaka
gmime			DONE		laxathom
gnome-do		DONE		laxathom
gnome-sharp		DONE		laxathom
gnome-subtitles		DONE		laxathom
gsf-sharp		DONE		laxathom
gtksourceview-sharp	DONE		laxathom
incollector		DONE		mtasaka
ipod-sharp		DONE		laxathom
lat			DONE		mtasaka
mono-addins		DONE		laxathom
mono-tools		DONE		mtasaka
monodevelop		DONE		mtasaka
monodoc			FAILED		10		mono-devel >= 2.0
monosim			DONE		mtasaka
monotorrent		DONE		mtasaka
muine			DONE		laxathom
muine-scrobbler		DONE		mtasaka
tasque			already pushed
themonospot		DONE		mtasaka
tomboy			DONE		mtasaka
Comment 30 Mamoru TASAKA 2008-11-23 10:28:26 EST
(In reply to comment #29)
> monodoc   FAILED  10  mono-devel >= 2.0

It seems that only with changing "BR: mono-devel >= 2.0" to "mono-devel",
monodoc on F-9 can be rebuilt.
However I am not sure if we should use monodoc 2.0 on F-9 because on F-9
mono version is 1.9, not 2.0.

Again I am not familiar with mono. Xavier, would you know about it?
After fixing monodoc I guess we can push the rebuilt packages to F-9 repository.
Comment 31 Xavier Lamien 2008-11-23 14:52:18 EST
yeah, we should not think about upgrade mono to 2.0 for now specifically on F-9.
A couple of mono release packages don't built against mono-2.0 on F-9 and requires to upgrade them all to lastest release.


> After fixing monodoc I guess we can push the rebuilt packages to F-9
repository.

correct. Just let me know and i'll push them together.
Comment 32 Mamoru TASAKA 2008-11-23 20:01:04 EST
monodoc: rebuild done (1.9-2.fc9)
Comment 33 Mamoru TASAKA 2008-11-25 11:11:23 EST
Now I can think the rebuilt packages can be pushed. Xavier, would
you submit push request?
Comment 34 Xavier Lamien 2008-11-25 11:30:11 EST
no problem.
Comment 35 Fedora Update System 2008-11-25 16:28:12 EST
themonospot-0.7.1.1-1.fc9.1,muine-scrobbler-0.1.8-6.fc9,monotorrent-0.4-2.fc9.1,monosim-1.3.0.2-1.fc9.1,monodoc-1.9-2.fc9,monodevelop-1.0-7.fc9,mono-tools-1.9-5.fc9,lat-1.2.3-3.fc9.1,incollector-1.0-6.fc9.1,gbrainy-1.00-2.fc9.1,cowbell-0.3-0.svn34.4.2.fc9.1,cdcollect-0.6.0-5.fc9.1,bless-0.6.0-1.fc9.1,blam-1.8.5-3.fc9.1,gmime-2.2.21-2.fc9,gsf-sharp-0.8.1-8.fc9,tomboy-0.10.1-2.fc9.1,f-spot-0.4.3.1-2.fc9,muine-0.8.8-10.fc9,gnome-do-0.4.2.0-2.fc9,avahi-0.6.22-11.fc9,mono-addins-0.3.1-3.fc9,banshee-1.2.1-2.fc9.1,gnome-subtitles-0.8-3.fc9,evolution-sharp-0.16.1.1-2.fc9,gtksourceview-sharp-2.0.12-1.fc9,ipod-sharp-0.8.0-5.fc9,gnome-sharp-2.16.1-3.fc9,gecko-sharp2-0.12-7.fc9.1,beagle-0.3.8-6.fc9,gtk-sharp2-2.12.1-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/themonospot-0.7.1.1-1.fc9.1,muine-scrobbler-0.1.8-6.fc9,monotorrent-0.4-2.fc9.1,monosim-1.3.0.2-1.fc9.1,monodoc-1.9-2.fc9,monodevelop-1.0-7.fc9,mono-tools-1.9-5.fc9,lat-1.2.3-3.fc9.1,incollector-1.0-6.fc9.1,gbrainy-1.00-2.fc9.1,cowbell-0.3-0.svn34.4.2.fc9.1,cdcollect-0.6.0-5.fc9.1,bless-0.6.0-1.fc9.1,blam-1.8.5-3.fc9.1,gmime-2.2.21-2.fc9,gsf-sharp-0.8.1-8.fc9,tomboy-0.10.1-2.fc9.1,f-spot-0.4.3.1-2.fc9,muine-0.8.8-10.fc9,gnome-do-0.4.2.0-2.fc9,avahi-0.6.22-11.fc9,mono-addins-0.3.1-3.fc9,banshee-1.2.1-2.fc9.1,gnome-subtitles-0.8-3.fc9,evolution-sharp-0.16.1.1-2.fc9,gtksourceview-sharp-2.0.12-1.fc9,ipod-sharp-0.8.0-5.fc9,gnome-sharp-2.16.1-3.fc9,gecko-sharp2-0.12-7.fc9.1,beagle-0.3.8-6.fc9,gtk-sharp2-2.12.1-1.fc9
Comment 36 Fedora Update System 2008-11-26 21:10:37 EST
themonospot-0.7.1.1-1.fc9.1, muine-scrobbler-0.1.8-6.fc9, monotorrent-0.4-2.fc9.1, monosim-1.3.0.2-1.fc9.1, monodoc-1.9-2.fc9, monodevelop-1.0-7.fc9, mono-tools-1.9-5.fc9, lat-1.2.3-3.fc9.1, incollector-1.0-6.fc9.1, gbrainy-1.00-2.fc9.1, cowbell-0.3-0.svn34.4.2.fc9.1, cdcollect-0.6.0-5.fc9.1, bless-0.6.0-1.fc9.1, blam-1.8.5-3.fc9.1, gmime-2.2.21-2.fc9, gsf-sharp-0.8.1-8.fc9, tomboy-0.10.1-2.fc9.1, f-spot-0.4.3.1-2.fc9, muine-0.8.8-10.fc9, gnome-do-0.4.2.0-2.fc9, avahi-0.6.22-11.fc9, mono-addins-0.3.1-3.fc9, banshee-1.2.1-2.fc9.1, gnome-subtitles-0.8-3.fc9, evolution-sharp-0.16.1.1-2.fc9, gtksourceview-sharp-2.0.12-1.fc9, ipod-sharp-0.8.0-5.fc9, gnome-sharp-2.16.1-3.fc9, gecko-sharp2-0.12-7.fc9.1, beagle-0.3.8-6.fc9, gtk-sharp2-2.12.1-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update themonospot muine-scrobbler monotorrent monosim monodoc monodevelop mono-tools lat incollector gbrainy cowbell cdcollect bless blam gmime gsf-sharp tomboy f-spot muine gnome-do avahi mono-addins banshee gnome-subtitles evolution-sharp gtksourceview-sharp ipod-sharp gnome-sharp gecko-sharp2 beagle gtk-sharp2'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-10455
Comment 37 Fedora Update System 2008-12-02 20:21:02 EST
themonospot-0.7.1.1-1.fc9.1, muine-scrobbler-0.1.8-6.fc9, monotorrent-0.4-2.fc9.1, monosim-1.3.0.2-1.fc9.1, monodoc-1.9-2.fc9, monodevelop-1.0-7.fc9, mono-tools-1.9-5.fc9, lat-1.2.3-3.fc9.1, incollector-1.0-6.fc9.1, gbrainy-1.00-2.fc9.1, cowbell-0.3-0.svn34.4.2.fc9.1, cdcollect-0.6.0-5.fc9.1, bless-0.6.0-1.fc9.1, blam-1.8.5-3.fc9.1, gmime-2.2.21-2.fc9, gsf-sharp-0.8.1-8.fc9, tomboy-0.10.1-2.fc9.1, f-spot-0.4.3.1-2.fc9, muine-0.8.8-10.fc9, gnome-do-0.4.2.0-2.fc9, avahi-0.6.22-11.fc9, mono-addins-0.3.1-3.fc9, banshee-1.2.1-2.fc9.1, gnome-subtitles-0.8-3.fc9, evolution-sharp-0.16.1.1-2.fc9, gtksourceview-sharp-2.0.12-1.fc9, ipod-sharp-0.8.0-5.fc9, gnome-sharp-2.16.1-3.fc9, gecko-sharp2-0.12-7.fc9.1, beagle-0.3.8-6.fc9, gtk-sharp2-2.12.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 38 Debarshi Ray 2009-02-25 11:35:55 EST
Tomboy still has broken dependencies in Fedora 9. I am using x86_64.

[root@freebook ~]# yum --disablerepo=livna install tomboy
Loaded plugins: refresh-packagekit, security
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package tomboy.x86_64 0:0.10.1-2.fc9.1 set to be updated
--> Processing Dependency: mono(gmime-sharp) = 2.2.0.0 for package: tomboy
--> Finished Dependency Resolution
tomboy-0.10.1-2.fc9.1.x86_64 from updates-newkey has depsolving problems
  --> Missing Dependency: mono(gmime-sharp) = 2.2.0.0 is needed by package tomboy-0.10.1-2.fc9.1.x86_64 (updates-newkey)
Error: Missing Dependency: mono(gmime-sharp) = 2.2.0.0 is needed by package tomboy-0.10.1-2.fc9.1.x86_64 (updates-newkey)
[root@freebook ~]#
Comment 39 Mamoru TASAKA 2009-02-25 11:59:24 EST
$ koji latest-pkg dist-f9-build gmime
Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
gmime-2.2.21-2.fc9                        dist-f9-updates       laxathom

# LANG=C rpm -qp --provides gmime-sharp-2.2.21-2.fc9.x86_64.rpm 
warning: gmime-sharp-2.2.21-2.fc9.x86_64.rpm: Header V3 DSA signature: NOKEY, key ID 6df2196f
mono(gmime-sharp) = 2.2.0.0
gmime-sharp = 2.2.21-2.fc9

So I guess something wrong is happening on your system.
Comment 40 Debarshi Ray 2009-02-25 22:50:11 EST
(In reply to comment #39)

> So I guess something wrong is happening on your system.

Sorry, my mistake actually. I had a different version of gmime installed as part of a merge review that I did couple of months ago.
Comment 41 Mamoru TASAKA 2009-02-26 04:50:48 EST
(In reply to comment #40)
> (In reply to comment #39)
> 
> > So I guess something wrong is happening on your system.
> 
> Sorry, my mistake actually. I had a different version of gmime installed as
> part of a merge review that I did couple of months ago.

Thank you for confirming anyway.

Note You need to log in before you can comment on or make changes to this bug.